Skip to main content
GET
/
api
/
v1
/
appuid
/
{appUid}
/
contexts
/
externalId
/
{externalId}
Retrieve a context by externalId
curl --request GET \
  --url https://a.api.mindset.ai/api/v1/appuid/{appUid}/contexts/externalId/{externalId} \
  --header 'x-api-key: <api-key>'
{
  "uid": "<string>",
  "name": "<string>",
  "description": "<string>",
  "externalId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "isSynced": true,
  "externalTenantId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mindset.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

appUid
string
required

Your application's uid

Minimum string length: 1
externalId
string
required

Unique externalId of the context

Response

Successful retrieval

uid
string

Unique ID of the context

name
string
description
string
externalId
string

Optional External ID of the context

createdAt
string<date-time>

Creation timestamp (ISO 8601)

isSynced
boolean

Is the context synced

externalTenantId
string

External tenant identifier